/* -*- Mode: C; tab-width: 4; indent-tabs-mode: t; c-basic-offset: 4 -*- */
/* NetworkManager system settings service
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * (C) Copyright 2008 - 2011 Mikhail Efremov
 */

#ifndef __COMMON_H__
#define __COMMON_H__

#define BAK_TAG ".bak"
#define TILDE_TAG "~"

#include <glib.h>
#include "config.h"
#include "nm-system-config-interface.h"

#define IFCFG_PLUGIN_NAME "etcnet-alt"
#define IFCFG_PLUGIN_INFO "(c) 2008 Mikhail Efremov <sem@altlinux.org>."


#define PLUGIN_INFO(fstr, args...) PLUGIN_PRINT (IFCFG_PLUGIN_NAME, fstr, ##args)
#define PLUGIN_DEBUG(fstr, args...) g_debug (IFCFG_PLUGIN_NAME ": %s, line %d: " fstr, __func__, __LINE__, ##args)
#define PLUGIN_WARNING(fstr, args...) PLUGIN_WARN (IFCFG_PLUGIN_NAME, fstr, ##args)
#define PLUGIN_ERROR(str, error) PLUGIN_WARNING("%s: %s", str, error && error->message ? error->message : "(unknown)")

GQuark ifcfg_plugin_error_quark (void);
char *get_iface_name (const char *iface_path);
char *get_filename_with_profile(const char *file, const char *profile);
GByteArray *get_ether_addr_array(const char *addr_str);

#endif  /* __COMMON_H__ */

